<?php
session_start( );
# -------- first we load the sitewide settings we need from now on 		--------------------------
$SITE = array();
require_once("settingsSite.php");
if (isset($SITE['stripAll']))	{$stripAll =$SITE['stripAll'];}		else {$stripAll =false;}
if (isset($SITE['stripMenu']))	{$stripMenu=$SITE['stripMenu'];}	else {$stripMenu=false;}

# -------- some checking and saving our path -----------------------------------------------------
# in every module we load we 
#		save modulename and version, 
#		check if the modulename in the source equals the module loaded and save this info if not
# also in all modules loaded after index.php we check if the module is loaded via index.php
# if someone executes a module by typing its name in the adressarea of the browser we redirect to index.php
# ------------------------------------------------------------------------------------------------
$pageName		= 'index.php';									// this is this modules name
$pageVersion	= '1.01h 2012-08-15';							// this is the version
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;		// we save it in our sitearray
$pageFile = basename(__FILE__);									// check to see this is the real script
if ($pageFile <> $pageName) {									// if not we save this also
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}																// after the headers are sent we echo all loaded module names
$pathString.= '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#---------------------------------------------------------------------------
# 1.01  2012-06-10 release version  
# 1.01a 2012-06-14 extra <br /> after footer; doNotPrint class for bottom area
# 1.01c 2012-06-24 fixed new user always starts with blue color
# 1.01f 2012-07-15 support multiple page widths using setting  $SITE['pageWidth'] = '800';
# 1.01g 2012-07-28 changed display of weather warning to omit headerline
# 1.01h 2012-08-15 added cookie support
#-------------- check debug settings --------------------------------------------------------------
$doDebug		= false;						// no debug is default
$debugString	= '';
if (isset($_SERVER['SERVER_NAME']))   {
	if (($_SERVER['SERVER_NAME'] == 'localhost') || ($_SERVER['SERVER_NAME'] == $SITE['testHost']) ) {
			$doDebug	= true;				// always debug on test host or switch of with request
			$poort		= $SITE['testPort'];
			ini_set('display_errors', 'On'); 
			error_reporting(E_ALL);	
			$pathString.= '<!-- Debug = true  you are running from testhost / localhost -->'.PHP_EOL;
	} 
}
# first check if we are allowed to set cookie
function wsSetcookie ($cookie, $doSomething,$time) {
	global $cookieAllowed;
	if ($cookieAllowed == true) {
		setcookie($cookie, $doSomething, $time); // cookie expires in 1 hour
	}
	return;
}
$cookie = $SITE['cookieName']."allowed";
$cookieAllowed	= false;
if (isset ($_COOKIE[$cookie])) {			// first check  cookie
	$cookieAllowed	= true; 
} 
elseif ( isset($_POST['acceptCookie']) ){
	$cookieAllowed	= true;
}
if ($cookieAllowed == true) {
	setcookie($cookie,'Y',time()+60*60*24*30);
}
if ($SITE['userChangeDebug']){
	$cookie = $SITE['cookieName']."debug";
	if (isset ($_COOKIE[$cookie])) {			// first check  cookie
		$s=trim(strtoupper($_COOKIE[$cookie]));
		if ($s == 'Y')		{ $doDebug	= true; } 
		elseif ($s == 'N')	{ $doDebug	= false; }
	}
	if (isset($_SESSION['debug'])) {			//  than check session settings
		$s=trim(strtoupper($_SESSION['debug']));
		if ($s == 'Y')		{ $doDebug	= true; } 
		elseif ($s == 'N')	{ $doDebug	= false; }
	}
	if (isset($_REQUEST['debug'])) {			// than check this request settings
		$s=trim(strtoupper($_REQUEST['debug']));
		if ($s == 'Y')		{ $doDebug	= true; } 
		elseif ($s == 'N')	{ $doDebug	= false; }
	}
	if ($doDebug == true) {
		$pathString.= '<!-- Debug = true  on user request -->'.PHP_EOL;
		ini_set('display_errors', 'On'); 
		error_reporting(E_ALL);	
	}
	$SITE['debug']			= $doDebug;
	$_SESSION['debug']		= $doDebug;
	wsSetcookie($cookie, $doDebug, time()+60*60); // cookie expires in 1 hour
}
# ------------- Now we check which other user settings are in effect, first the language ----------
$lang	= $SITE['lang'];						// default language,
if ($SITE['userChangeLang']) {
	$cookie = $SITE['cookieName']."lang";
	if (isset ($_COOKIE[$cookie])) {			// first check  cookie
		$s=trim(strtolower($_COOKIE[$cookie]));
		if (isset($SITE['installedLanguages'][$s]))	{ 
			$lang = $s; 
		}
	}
	if (isset($_SESSION['lang'])){				//  than check session settings
		$s=trim(strtolower($_SESSION['lang']));
		if (isset($SITE['installedLanguages'][$s]))	{ 
			$lang = $s; 
		}
	}     
	if (isset($_REQUEST['lang'])){					// than check this request settings
		$s=trim(strtolower($_REQUEST['lang']));
		if (isset($SITE['installedLanguages'][$s]))	{ 
			$lang = $s; 
		}
	}
	# now save for further reference
	$SITE['lang']			= $lang;
	$_SESSION['lang']		= $lang;
	wsSetcookie($cookie, $lang, time()+60*60*24*30 ); // cookie expires in 30 days
}
# ------------------ now we check if the user want to put the menu  on a not default place --------
$menu	= $SITE['menuPlace'] ;				// default menu place, 
if ($SITE['userChangeMenu']) {
	$cookie = $SITE['cookieName']."menu";
	if (isset ($_COOKIE[$cookie])) {			// first check  cookie
		$s=trim(strtoupper($_COOKIE[$cookie]));
		if ($s == 'H' || $s == 'V')	{ 
			$menu = $s; 
		}
	}
	if (isset($_SESSION['menu'])){				//  than check session settings
		$s=trim(strtoupper($_SESSION['menu']));
		if ($s == 'H' || $s == 'V')	{ 
			$menu = $s; 
		}
	}     
	if (isset ($_REQUEST['menu'])) {
		$s=trim(strtoupper($_REQUEST['menu']));
		if ($s == 'H' || $s == 'V')	{ 
			$menu = $s; 
		}
	}
	$SITE['menuPlace'] 	= $menu;
	$_SESSION['menu']	= $menu;
	wsSetcookie($cookie, $menu, time()+60*60*24*30 ); // cookie expires in 30 days
}
# ------------------ now we check wants to get rid of mood switches ------------------------------- 
if ($SITE['userChangeColors']) {
	$color 	= $SITE['colorNumber'];
	$cookie = $SITE['cookieName']."mood";
	if (isset ($_COOKIE[$cookie])) {			// first check  cookie
		$s=intval(trim($_COOKIE[$cookie]));
		if ($s >= '0' && $s <= count($SITE['colorStyles']))	{ 
			$color = $s; 
		}
	}
	if (isset($_SESSION['mood'])){				//  than check session settings
		$s=trim($_SESSION['mood']);
		if ($s >= '0' && $s <= count($SITE['colorStyles']))	{ 
			$color = $s; 
		}
	}
	if (isset ($_REQUEST['mood'])) {
		$s=trim($_REQUEST['mood']);
		if ($s >= '0' && $s <= count($SITE['colorStyles']))	{ 
			$color = $s; 
		}
	}
	$_SESSION['mood']	= $color;
	wsSetcookie($cookie, $color, time()+60*60*24*30 ); // cookie expires in 30 days
	$SITE['colorNumber'] = $color;
	
	$hdrSelect = $SITE['header'];
	$cookie = $SITE['cookieName']."hdrSelect";
	if (isset ($_COOKIE[$cookie])) {			// first check  cookie
		$s=trim($_COOKIE[$cookie]);
		if ($s == '1' || $s == '2')	{ 
			$hdrSelect = $s; 
		}
	}
	if (isset($_SESSION['hdrSelect'])){				//  than check session settings
		$s=trim($_SESSION['hdrSelect']);
		if ($s == '1' || $s == '2')	{ 
			$hdrSelect = $s; 
		}
	}
	if (isset ($_REQUEST['hdrSelect'])) {
		$s=trim($_REQUEST['hdrSelect']);
		if ($s == '1' || $s == '2')	{ 
			$hdrSelect = $s; 
		}
	}
	$SITE['header']	= $hdrSelect;
	$_SESSION['hdrSelect']	= $hdrSelect;
	wsSetcookie($cookie, $hdrSelect, time()+60*60*24*30 ); // cookie expires in 30 days
	
	
	
}
# ----------------------- default page normally index.php page  -----------------------------------
$choice	= $SITE['noChoice'] ;				// default page to start when user visits first time
if ($SITE['userChangeChoice']) {
	$cookie = $SITE['cookieName']."choice";
	if (isset ($_COOKIE[$cookie])) {			// first check  cookie
		$s= intval( trim($_COOKIE[$cookie]) );
		if ($s > 0 && $s < 100)	{ 
			$choice = $s; 
		}
	}
	if (isset($_SESSION['choice'])){			//  than check session settings
		$s= intval( trim($_SESSION['choice']) );
		if ($s > 0 && $s < 100)	{ 
			$choice = $s; 
		}
	}
	if (isset ($_REQUEST['choice'])) {
		$s=trim($_REQUEST['choice']);
		if ($s > 0 && $s < 100)	{ 
			$choice = $s; 
		}
	}
	$SITE['noChoice'] = $choice;
	$_SESSION['choice']	= $choice;
	wsSetcookie($cookie, $choice, time()+60*60*24*30 ); // cookie expires in 30 days
}
#---------------------------   UOM  no we change Units Of measurement------------------------------
if ($SITE['userChangeUOM']) {
	$cookie = $SITE['cookieName']."uom";
	$temp='x';$baro='x';$wind='x';$rain='x';
	if (isset ($_COOKIE[$cookie])) {
		$uom =  trim($_COOKIE[$cookie]);
		list($temp, $baro, $wind, $rain) = explode ('|',$uom);		
	}
	if (isset($_SESSION['temp']) && $_SESSION['temp'] <> 'x'){ $temp= $_SESSION['temp']; $_SESSION['temp']= 'x';}
	if (isset($_SESSION['baro']) && $_SESSION['baro'] <> 'x'){ $baro= $_SESSION['baro']; $_SESSION['baro']= 'x';}
	if (isset($_SESSION['wind']) && $_SESSION['wind'] <> 'x'){ $wind= $_SESSION['wind']; $_SESSION['wind']= 'x';}
	if (isset($_SESSION['rain']) && $_SESSION['rain'] <> 'x'){ $rain= $_SESSION['rain']; $_SESSION['rain']= 'x';}
	if (isset($_REQUEST['temp']) && $_REQUEST['temp'] <> 'x'){ $temp= $_REQUEST['temp']; $_REQUEST['temp']= 'x';}
	if (isset($_REQUEST['baro']) && $_REQUEST['baro'] <> 'x'){ $baro= $_REQUEST['baro']; $_REQUEST['baro']= 'x';}
	if (isset($_REQUEST['wind']) && $_REQUEST['wind'] <> 'x'){ $wind= $_REQUEST['wind']; $_REQUEST['wind']= 'x';}
	if (isset($_REQUEST['rain']) && $_REQUEST['rain'] <> 'x'){ $rain= $_REQUEST['rain']; $_REQUEST['rain']= 'x';}
	if ($temp == 'c' ) 		{$SITE['uomTemp'] ='&deg;C';} 	elseif ($temp == 'f' ) 	{$SITE['uomTemp'] = '&deg;F';} 	else 	{$temp ='x';}
	if ($baro == 'hpa' ) 	{$SITE['uomBaro'] =' hPa';} 	elseif ($baro == 'mb' )	{$SITE['uomBaro'] = ' mb';} 	elseif	($baro == 'inhg' )	{$SITE['uomBaro'] = ' inHg';} else {$baro='x';}
	if ($wind == 'kmh' )	{$SITE['uomWind'] =' km/h';} 	elseif ($wind == 'kts' ){$SITE['uomWind'] = ' kts';} 	elseif	($wind == 'ms' )	{$SITE['uomWind'] = ' m/s';}  elseif ($wind == 'mph' ) {$SITE['uomWind'] = ' mph';} else {$wind='x';}
	if ($rain == 'mm' ) 	{$SITE['uomRain'] =' mm';} 		elseif ($rain == 'in' ) {$SITE['uomRain'] = ' in';} 	else 	{$rain='x';}
	$tekst=$temp.'|'.$baro.'|'.$wind.'|'.$rain;
	if ($tekst <> 'x|x|x|x') {
		wsSetcookie($cookie, $tekst, time()+60*60*24*30 ); // cookie expires in 30 days		
	}
}
#--------------------------------------------------------------------------------------------------
if ( isset ($_REQUEST['default']) ){			// reset all to site defaults
	unset ($_REQUEST['default']);
	$lang 				= $SITE['langBackup'];
	$SITE['lang']		= $SITE['langBackup'];			// $SITE values to their origanl
	$SITE['menuPlace']	= $SITE['menuPlaceBackup'];
	$SITE['colorNumber']= $SITE['colorBackup'];
	$SITE['header']  	= $SITE['headerBackup'];
	$SITE['noChoice']	= $SITE['noChoiceBackup'];
	$SITE['uomTemp']	= $uomBackup['uomTemp'];
	$SITE['uomBaro']	= $uomBackup['uomBaro'];
	$SITE['uomWind']	= $uomBackup['uomWind'];
	$SITE['uomRain']	= $uomBackup['uomRain'];
	$_SESSION['lang']	= $SITE['langBackup'];			// $_SESSION to defaults
	$_SESSION['menu']	= $SITE['menuPlaceBackup'];
	$_SESSION['mood']	= $SITE['colorBackup'];
	$_SESSION['hdrSelect'] = $SITE['headerBackup'];
	$_SESSION['choice'] = $SITE['noChoiceBackup'];
	$_REQUEST['lang']	= $SITE['langBackup'];			// $_SESSION to defaults
	$_REQUEST['menu']	= $SITE['menuPlaceBackup'];
	$_REQUEST['mood']	= $SITE['colorBackup'];
	$_REQUEST['hdrSelect']= $SITE['headerBackup'];
	$_REQUEST['choice'] = $SITE['noChoiceBackup'];
	$cookie = $SITE['cookieName']."lang";
	wsSetcookie($cookie, $SITE['langBackup'], time()+2 ); 	// cookie expires in 60 seconds to get rid of the other ones
	$cookie = $SITE['cookieName']."menu";
	wsSetcookie($cookie, $SITE['menuPlaceBackup'], time()+2 );
	$cookie = $SITE['cookieName']."mood";
	wsSetcookie($cookie, $SITE['colorBackup'], time()+2 );
	$cookie = $SITE['cookieName']."hdrSelect";
	wsSetcookie($cookie, $SITE['headerBackup'], time()+2 );
	$cookie = $SITE['cookieName']."choice";
	wsSetcookie($cookie, $SITE['noChoiceBackup'], time()+2 );
	$cookie = $SITE['cookieName']."uom";
	wsSetcookie($cookie, 'x|x|x|x', time()+2 );
}
#--------------------------------------------------------------------------------------------------
$cookie = $SITE['cookieName']."startSeq";
if ( isset ($_COOKIE[$cookie]) ) {$startSeq = trim($_COOKIE[$cookie]);}
if ( isset ($_POST['startSeq']) ) {
	$startSeq = intval(trim($_POST['startSeq']) ) ;
	wsSetcookie($cookie, $startSeq, time()+60*60*24*30 ); // cookie expires in 30 days
}
# ------------------------------------------- check if we go to the mobile site -------------------
if ((isset($SITE['mobileSite'])) && ($SITE['mobileSite'] <> "")) {
	$mobi 	= false;
	$cookie = $SITE['cookieName']."skip";
	if (!isset ($_COOKIE[$cookie])) {
		require_once('./mobi/mobile_device_detect.php');		// credits : http://detectmobilebrowsers.mobi/
		$mobile =	mobile_device_detect(true,false,true,true,true,true,true,'','');
		if ($mobile) {
			if ( !isset ($_REQUEST['mobi']) ) { 
				$mobi = 10;
				wsSetcookie($cookie, "skip", time()+3600);  // if users returns in 60 min, the normal site will be used
			}
			if ( isset ($_REQUEST['pcSite']) || isset ($_SESSION['pcSite']) ) {
				$_SESSION['pcSite']	= 'Y';
				$mobi = false;
			}
		}
	} 
	if ( isset ($_REQUEST['mobi']) ) {   // pc user wants to go to mobile site
		$mobi = intval ( trim($_REQUEST['mobi']));
	}
	if ($mobi <> false) {
		include($SITE['mobileSite']);
		exit;			// user 
	}

}
#--------------------------------------------------------------------------- normal website ------
# A template set for personal weather stations
# Developer :	(c) 2011 Weerastation Wilsele. Based on previous version of Ken from Saratoga.org
# Use and adapt as you wish.
#
#Module summary:
# 1.	settingsSite.php 			sitewide settings
# 1.1	settingsWeather.php			weathersoftware settings
#
# 2.	wsLangFunctions.php			language functions
#
# 3. 	incMenuLoad.php				fills array with all menu choices and extras from incMenuData.xml
#
# 4.1 	wsGetdata					process all variables from the weatherprogram into array with values
# 4.2 	wsLoaddata  				generates table with weathervalues to be used in Ajax/Javascript updates
#
# 5. 	
#
# 6.	Footer	the footer includes also WhoIsOnline functions etc.
#
require_once($SITE['langFunc']);			// so we can translate  to required lang
$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('Start page'); 
#
#--------------------------------------------------------------------------------------------------
#           decide which page to load based on the users input      
#--------------------------------------------------------------------------------------------------
$p = $SITE['noChoice'];
if (isset($_GET['p'])) {
	$p = $_GET['p'];	
}elseif (isset($_POST['p'])) {
	$p = $_POST['p'];		
}
if ( isset ($_POST['donotwant']) ) {$p = $SITE['noChoice'];}
require_once($SITE['menuLoad']);		// load menu data into $menuArray for pagenumber checking
#										// and into a HTML string with ul li for display
if (isset($menuArray[$p]['choice'])) {	// valid page number
	if ($menuArray[$p]['folder']== '')	{$folder = 'inc/';} else {$folder = $menuArray[$p]['folder'];} 
	if ($menuArray[$p]['gizmo'] == '')	{$gizmo	= 0;}		else {$gizmo  = $menuArray[$p]['gizmo'];}
	$css	= $menuArray[$p]['css'];
	$head	= $menuArray[$p]['head'];
	$link	= $menuArray[$p]['link'];
	$TITLE  = langtransstr($SITE['organ']) . "-  - " .langtransstr($menuArray[$p]['title']);
	$phpself="index.php?p=".$p;
} else {
	header ("Location: index.php");	// back to index/startpage if someone tries an
	exit;  								//  out of range / non existing page
}
#---------------------------------------------------------------------------
#            generate headers and first part of page
#---------------------------------------------------------------------------
header("Content-Type: text/html; charset=".strtoupper($SITE['charset']));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<?php
echo $pathString;    // print list of loaded modules until this point
$tekst='';
#---------------------------------------------------------------------------
#            javascript for gizmo  ajaxpages  menu
#---------------------------------------------------------------------------
if ((int)($gizmo) >= 1) {   // menu file request a gizmo, if also it is set in site-settings 
							// then a ajaxgizmo will be displayed on this page
	if (isset($SITE['ajaxGizmoShow']) and $SITE['ajaxGizmoShow']) {
		$tekst.='	<script type="text/javascript" src="'.$SITE['ajaxGizmojs'] .'"></script>'.PHP_EOL;
		if(isset($SITE['wsAjaxScript'])) { 
			$tekst.='	<script type="text/javascript"> var url = "wsAjaxDataLoad.php";   </script>'.PHP_EOL;
			$tekst.='	<script type="text/javascript" src="'.$SITE['wsAjaxScript'].'"></script>'.PHP_EOL;
		} 											// end if ajaxScript
		if (!isset($SITE['UV']) || !$SITE['UV']) {  // turn gizmo uv display off
			$tekst.='	<script type="text/javascript"> showUV = false; </script>'.PHP_EOL;
		}  	// end of turn gizmo uv display off
	} 		// end of showGizmo for this site
} 		// end of gizmo for this page
echo $tekst;
?>
	<script type="text/javascript" src="javaScripts/styleMenu.js"></script>
	<meta http-equiv="refresh" content="600">
	<meta name="description" content="<?php echo $TITLE ?>" />
	<meta http-equiv="Content-Type" content="text/html; charset=<?php  echo strtoupper($SITE['charset']);?> "/>
<?php
#---------------------------------------------------------------------------
#            standard stylesheets
#---------------------------------------------------------------------------
$tekst ='	<link rel="stylesheet" type="text/css" href="'.$SITE['CSSscreen'].'" media="screen" title="screen" />'.PHP_EOL;
$tekst.='	<link rel="stylesheet" type="text/css" href="'.$SITE['CSStable'].'" media="screen" title="screen" />'.PHP_EOL;
$tekst.='	<link rel="stylesheet" type="text/css" href="'.$SITE['CSSprint'].'" media="print" />'."\n";
if ($stripAll || $SITE['menuPlace'] == 'H') {
$tekst.='	<link rel="stylesheet" type="text/css" href="'.$SITE['CSSmenuHor'].'" media="screen" title="screen" />'.PHP_EOL;
} else {
$tekst.='	<link rel="stylesheet" type="text/css" href="'.$SITE['CSSmenuVer'].'" media="screen" title="screen" />'.PHP_EOL;
}
$tekst.='	<link rel="stylesheet" type="text/css" href="'.$SITE['CSSmood'].'" media="screen" title="screen" />'.PHP_EOL;
#---------------------------------------------------------------------------
#            extra stylesheet for this menuchoice
#---------------------------------------------------------------------------
if ($css <> ''){
$tekst.='	<link rel="stylesheet" type="text/css" href="'.$css.'" media="screen" title="screen" />'.PHP_EOL;
}
echo $tekst;
?>
	<link rel="shortcut icon" href="img/icon.png" type="image/x-icon" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="Cache-Control" content="no-cache" />
	<meta name="Keywords" content="weather, Weather, temperature, dew point, humidity, forecast, Davis Vantage Pro,  Weather, <?php echo $SITE['organ'];?>, weather conditions, live weather, live weather conditions, weather data, weather history, Meteohub " />
	<meta name="Description" content="Weather conditions <?php echo $SITE['organ'];?>" />
<?php
$tekst='	<title>'.$SITE['organ']."</title>".PHP_EOL;
echo $tekst;
#
#---------------------------------------------------------------------------
echo '<!-- load functions -->'.PHP_EOL;
include_once($SITE['functions']);		// general functions for data processing
#---------------------------------------------------------------------------
echo '<!-- get data from weatherprogr / wu sites / metar files -->'.PHP_EOL;;
include_once($SITE['getData']);			// get data from weatherprogr / wu sites / metar files
#---------------------------------------------------------------------------
echo "<!-- load weatherdata -->".PHP_EOL;
include_once($SITE['loadData']);		// load weatherdata in string (=array)for eval in javascript
$vars = array();
$string2=str_replace('ajaxVars','$vars',$string1);  // change javascript to php
eval($string2);							// all vars for use on ajax "normal" pages are now loaded into $vars array
#---------------------------------------------------------------------------
#
#---------------------------------------------------------------------------
if ($SITE['colorNumber'] <>  0) {	// fixed color scheme
	$headerClass = $SITE['colorStyles'][$SITE['colorNumber']];	
}
echo 	"<!-- icoon = $ccnIconNr  , hdrclass = $headerClass -->".PHP_EOL;
if (isset($SITE['googleanalytics']) && $SITE['googleanalytics']<> '') { ?>
	<script type="text/javascript">
	  var _gaq = _gaq || [];
	  _gaq.push(['_setAccount','<?php echo $SITE['googleanalytics']; ?>']);
	  _gaq.push(['_trackPageview']);
	  (function() {
		var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
		ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
		var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
	  })();
	</script>
<?php }
#---  your extras for the html head section go between here   --------------
#
if ($head <> ''){
	if (($folder <> '') && ($folder <> './')) {$SITE['docRoot'] = '../'; chdir ($folder);}
	include($folder.$head); 		// load the requested page
	chdir ('../');
	$SITE['docRoot'] = './';
}
#---------  and here     ---------------------------------------------------
echo '</head>'.PHP_EOL;
echo "<body class=\"$headerClass\">".PHP_EOL;
?>
<br />
<?php
$fileString='img/background-'.$headerClass.'.jpg';
if (file_exists($fileString)) {
	echo '<img src="'.$fileString.'" class="bg" alt="" />'.PHP_EOL;
}
?>
<?php
if (isset($SITE['pageWidth'])) { $pageWidth = $SITE['pageWidth']; $menuWidth = '140'; } else {$pageWidth = '1000'; $menuWidth = '140';}
echo '<div id="pagina" style="width:'.$pageWidth.'px; position: relative; z-index: 2;"> <!-- page wrapper -->'.PHP_EOL;
#---------------------------------------------------------------------------
# Warnings boxes
#---------------------------------------------------------------------------
# First check of there you want your own warning to be displayed. fi: Site is in maintenance
 $file=$SITE['warnTxt'];
 if (file_exists($file)) {
	$ownWarning = file_get_contents($file);
	if (strlen($ownWarning) >= 4 && substr($ownWarning,0,4) <> 'none') {
		echo '<div class="warnBox">'.PHP_EOL;
		echo $ownWarning.PHP_EOL;
		echo "</div>".PHP_EOL; 		
	}
 }
 # Now check if we want to include warnings on every page
 echo '<!-- warnings and other info goes here  -->'.PHP_EOL;
 if ($SITE['warnings'] == true) { 
 	include_once($SITE['warnInc']);
 	$alarm 		= new meteoAlarm ();
	$return 	= $alarm->getMeteoAlarm ($SITE['warnArea']);  // $SITE['warnArea']
	if (!$return || ($return[0]['msg'] == 'no warnings')) {
		echo '<!-- no warnings -->'.PHP_EOL;
	} 
	else 
	{
		echo '<div class="warnBox">'.PHP_EOL;
		if ($SITE['warningsHeader']) {
			echo '<h3>'.langtransstr('There are weatherwarnings from METEOalarm.EU').'&nbsp;&nbsp;&nbsp;<a href="'.$SITE['warningsMenu'].'">'.
			langtransstr('Click here to get more details.').'</a></h3>'.PHP_EOL;
		} else {
			echo '<a style="display: block; margin-top: 10px;" href="'.$SITE['warningsMenu'].'">';
		}
		echo '<table class="genericTable">'.PHP_EOL;
		for ($i = 0; $i < count($return); $i++) {
			if ($return[$i]['types'] == 'Thunderstorms') 								{$SITE['wrnLightning']	= true;}
			if ($return[$i]['types'] == 'Rain'  || $return[$i]['types'] == 'Snow/Ice') 	{$SITE['wrnRain'] 		= true;}
			echo "<tr bgcolor=".
				$return[$i]['color']."><td>".
				'<img src="'.$SITE['warnImg'].$return[$i]['img'].'" title="'.
				$return[$i]['msg']
				.'" alt=""/>'."</td><td>".
				langtransstr('from').':&nbsp;'.$return[$i]['from'].'</td><td>'.
				langtransstr('until').':&nbsp;'.$return[$i]['until'].'</td><td>'.
				langtransstr('warning for').':&nbsp;<span style="font-weight: bold;">'.langtransstr('wrn'.$return[$i]['types']).'</span>&nbsp;'.
				langtransstr('level').':&nbsp;<span style="font-weight: bold;">'.langtransstr('wrn'.$return[$i]['level']).'</span><br />'.langtransstr('wrn'.$return[$i]['level'].'Txt').
				"</td></tr>".PHP_EOL;
			if ($SITE['warningsXtnd']) {     // all weatherwarning text on every page
				echo "<tr><td colspan = '9'>".$return[$i]['msg']."</td></tr>".PHP_EOL;
			}
			if ($i < ( count($return) - 1) ) {
				echo '<tr><td colspan="9"><hr /></td></tr>'.PHP_EOL;}
		}
		echo "</table>".PHP_EOL;
		if ($SITE['warningsHeader']) {
			echo '<br />';
		} else {
			echo '</a>';
		}		
		echo "</div>".PHP_EOL;
 	} 	
}
// exit;
?>
<!-- end warnings -->
<?php
$width=$pageWidth;
if (!$stripAll) {
	if ( isset($SITE['header']) ){
		$i= $SITE['header'];
		include ("wsHeader$i.php");
	} else {include ("wsHeader2.php");}
	#---------------------------------------------------------------------------
	#  where do we place the menu
	#---------------------------------------------------------------------------
	if (!$stripMenu && $SITE['menuPlace'] == 'H') {
		echo '<div id="menu-hor">'.PHP_EOL;
		echo '<ul id="nav">'.PHP_EOL.$DropdownMenuText;
		echo '</ul>'.PHP_EOL;
		echo '</div>'.PHP_EOL;
	} 
	if ($SITE['sideDisplay'] || $SITE['menuPlace'] <> 'H') {
		echo '<!-- first colomn with links to external sites and or vertical menu-->'.PHP_EOL;
		echo '	<div id="info-ver">'.PHP_EOL;
		include_once($SITE['sideInc']);
		echo '	</div>'.PHP_EOL;   // 	width: 99%;
		echo '<!-- end first colomn -->'.PHP_EOL;
		$width =  $pageWidth - $menuWidth - 10;		
	}
} else {   // strip all
	if (!$stripMenu) {
		echo '<div id="menu-hor">'.PHP_EOL;
		echo '<ul id="nav">'.PHP_EOL.$DropdownMenuText;
		echo '</ul>'.PHP_EOL;
		echo '</div>'.PHP_EOL;
	}
}
echo '	<div id="data-area" style="width: '.$width.'px; margin: 7px 0 5px 0;">'.PHP_EOL;
#---------------------------------------------------------------------------
#		load the requested page from directory 
#---------------------------------------------------------------------------
echo '<!--  load from: '.$folder.' program: '.$link.' -->'.PHP_EOL;
if (($folder <> '') && ($folder <> './')) {$SITE['docRoot'] = '../';}
if ($folder == './') {$folder = '';}
include($folder.$link); 		// load the requested page
$SITE['docRoot'] = './';
$folder = './';
?>
	</div> <!-- end data area -->
<?php 
if (!$stripAll && $SITE['bottomDysplay']) {
	echo '	<div id="bottom" class="doNotPrint">'.PHP_EOL;
	include ($SITE['bottomInc']);
	echo '	</div>'.PHP_EOL;
}
if (!$stripAll) {
	include($SITE['footer']);  // also contains whoisonline code
} else {
	echo '&nbsp;';
}
?>
</div><!-- end id="page" wrapper -->
<br />
<!--
<pre>
<?php print_r($SITE['wsModules']);		// for reporting problems only
?>
</pre>
-->
 </body>
</html>
<?php 
#
# Leave this code here .. it will help you see what language translations are missing by running any page on your
# website with a ?show=missing argument
#
//global $missingTrans,$SITE;
$langfile = '';
if(isset($_REQUEST['show']) and strtolower($_REQUEST['show']) == 'missing') {
	$string='';
	echo "<!-- missing langlookup entries for lang=".$lang." \n";
	foreach ($missingTrans as $key => $val) {
		$string.= "langlookup|$key|$key|\n";
	}
	if (strlen($string) > 0) {
//		$langfile 	= './lang/wsLanguage-' . $lang .'-local.txt';
//		file_put_contents($langfile,$string,FILE_APPEND);
		echo $string;
	}
	echo "\n ".count($missingTrans)." entries.  End of missing langlookup entries -->\n";
}
?>
